%global momorel 2
%global kdever 4.1.0
%global kdelibsrel 1m
%global qtver 4.4.0
%global qtrel 1m
%global cmakever 2.4.8
%global cmakerel 5m
%global ftpdirver 4.1.0
%global sourcedir stable/%{ftpdirver}/src

Name: kdesdk
Summary: The KDE Software Development Kit (SDK)
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: hi16-app-kapptemplate.png
Source2: hi22-app-kapptemplate.png
Source3: hi32-app-kapptemplate.png
Source4: hi48-app-kapptemplate.png
Source5: hi64-app-kapptemplate.png
Source6: hi128-app-kapptemplate.png
Source7: hisc-app-kapptemplate.svg
Patch0: %{name}-%{version}-kapptemplate-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  flex
BuildRequires:  giflib-devel
BuildRequires:  apr-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  openldap-devel >= 2.4.8
BuildRequires:  pcre-devel
BuildRequires:  libXtst-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  subversion-devel
# for libiberty (used by kmtrace for cp_demangle)
# IMPORTANT: check licensing from time to time, currently libiberty is still
#            GPLv2+/LGPLv2+
BuildRequires:  binutils-devel
# FIXME/TODO: are there other explicit Requires?
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: kdelibs >= %{version}
Requires: kdepimlibs >= %{version}
Requires: kdebase-workspace >= %{version}
Requires: %{name}-libs = %{version}-%{release}

Obsoletes: kaider
Provides:  kaider

%description
A collection of applications and tools used by developers, including:
* cervisia: a CVS frontend
* kbugbuster: a tool to manage the KDE bug report system
* kcachegrind: a browser for data produced by profiling tools (e.g. cachegrind)
* kompare: diff tool
* kuiviewer: displays designer's UI files
* umbrello: UML modeller and UML diagram tool

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Header files for %{name}
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel
Requires: kdepimlibs-devel

%description devel
Header files for developing applications using %{name}.

%package utils
Summary: Text utilities from %{name}
Group:   Applications/Text

%description utils
%{summary}, including:
po2xml
xml2pot

%prep
%setup -q

%patch0 -p1 -b .add-icon

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# install icons from svn head
install -m 644 %{SOURCE1} %{buildroot}%{_kde4_iconsdir}/hicolor/16x16/apps/kapptemplate.png
install -m 644 %{SOURCE2} %{buildroot}%{_kde4_iconsdir}/hicolor/22x22/apps/kapptemplate.png
install -m 644 %{SOURCE3} %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/kapptemplate.png
install -m 644 %{SOURCE4} %{buildroot}%{_kde4_iconsdir}/hicolor/48x48/apps/kapptemplate.png
install -m 644 %{SOURCE5} %{buildroot}%{_kde4_iconsdir}/hicolor/64x64/apps/kapptemplate.png
install -m 644 %{SOURCE6} %{buildroot}%{_kde4_iconsdir}/hicolor/128x128/apps/kapptemplate.png
install -m 644 %{SOURCE7} %{buildroot}%{_kde4_iconsdir}/hicolor/scalable/apps/kapptemplate.svg

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    # all these are not symlinks
    libkdeinit4_*.so|libkomparedialogpages.so|libkomparediff2.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_bindir}/*
# moved to -utils
%exclude %{_kde4_bindir}/po2xml
%exclude %{_kde4_bindir}/xml2pot
%{_kde4_configdir}/*
%{_kde4_appsdir}/cervisia/
%{_kde4_appsdir}/cervisiapart/*
%{_kde4_appsdir}/kabc/formats/*
%{_kde4_appsdir}/kapptemplate/
%{_kde4_appsdir}/katepart/syntax/*
%{_kde4_appsdir}/kate/
%{_kde4_appsdir}/kbugbuster/
%{_kde4_appsdir}/kcachegrind/*
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kdevappwizard/templates/*
%{_kde4_appsdir}/kdevappwizard/template_descriptions/
%{_kde4_appsdir}/kmtrace/
%{_kde4_appsdir}/kompare/
%{_kde4_appsdir}/kuiviewer/*
%{_kde4_appsdir}/kuiviewerpart/*
%{_kde4_appsdir}/lokalize/
%{_kde4_appsdir}/umbrello/
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/kde4/services/*.*
%{_kde4_datadir}/kde4/services/ServiceMenus/*
%{_kde4_datadir}/kde4/services/kded/*
%{_kde4_datadir}/kde4/services/kresources/kcal/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/strigi/fieldproperties/strigi_translation.fieldproperties
%{_kde4_docdir}/HTML/en/cervisia/
%{_kde4_docdir}/HTML/en/kapptemplate/
%{_kde4_docdir}/HTML/en/kate-plugins/
%{_kde4_docdir}/HTML/en/kate/
%{_kde4_docdir}/HTML/en/kbugbuster/
%{_kde4_docdir}/HTML/en/kcachegrind/
%{_kde4_docdir}/HTML/en/kdesvn-build/
%{_kde4_docdir}/HTML/en/kompare/
%{_kde4_docdir}/HTML/en/lokalize/
%{_kde4_docdir}/HTML/en/umbrello/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/locolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_mandir}/man1/*
%{_kde4_libdir}/libkdeinit4*.so
%{_kde4_libdir}/strigi/*
%{_kde4_libdir}/kde4/*
%exclude %{_kde4_libdir}/kde4/devel/

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkomparedialogpages.so
%{_kde4_libdir}/libkomparediff2.so

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/*

%files utils
%defattr(-,root,root,-)
%{_kde4_bindir}/po2xml
%{_kde4_bindir}/xml2pot

%changelog
* Thu Sep  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-2m)
- import kapptemplate icons from svn head of kde.org

- * Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.64-1m)
- - update to 4.1.64

- * Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.63-1m)
- - update to 4.1.63

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.62-1m)
- - update to 4.1.62

- * Sun Aug 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.61-1m)
- - update to 4.1.61

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Sun Jun 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- update to KDE 4.1 beta 2

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-2m)
- rebuild against gcc43

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- import patch from Fedora devel

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-2m)
- rebuild against openldap-2.4.8

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to KDE4

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.5.8-2m)
- rebuild against db4-4.6.21

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8

* Wed Jun 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-2m)
- import kdesdk-3.5.7-flex.patch from Fedora

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Tue Jan 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete unused upstream patches

* Fri Dec 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-4m)
- import upstream patch to fix following problem
  #138965, Changing attributename or methodname results in truncating list in edit window (parameters not shown)

* Wed Dec 20 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- import upstream patches to fix following problems
  #135795, Subversion 1.4 support for catalog manager.
  #57878, Association line nodes don't drag along with multiply-selected classes

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-2m)
- rebuild against db4-4.5.20-1m and subversion-1.4.2-1m
- disable svn support for the moment
  subversion-1.4.2 doesn't have svn-config

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5
- remove merged upstream patch

* Wed Sep 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-5m)
- import kdesdk-3.5.4-kde#131717.patch from Fedora Core devel
 +* Tue Sep 05 2006 Than Ngo <than@redhat.com> 3.5.4-2
 +- apply upstream patches
 +    fix #131717, kompare won't parse diffs from git

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-4m)
- rebuild against kdelibs-3.5.4-3m

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (3.5.4-3m)
- rebuild against kdelibs-3.5.4-2m

* Tue Aug  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-2m)
- remove kbabel.sh, kbabel works fine with qt-3.3.5-24m
- Requires: qt >= 3.3.5-24m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Fri Jun 02 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.3-2m)
- add kbabel.sh to exec kbabel with "QT_IM_MODULE=xim" 
- see http://lists.sourceforge.jp/mailman/archives/scim-imengine-dev/2006-April/001069.html

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed May  3 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.2-2m)
- rebuild against apr, apr-util, subversion

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Mon Mar 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.1-2m)
- not include kdepalette/KDE_Gimp since this is really obsolete (KDE-1.x related) and has never been updated for 7(!) years. (see http://webcvs.kde.org/kdesdk/kdepalettes/KDE_Gimp)
- we can now remove annoying "Requires: gimp"

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-5m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-3m)
- rebuild against db4.3

* Wed Jan  4 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (3.5.0-2m)
- rebuild against neon-0.25.4-1m

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.5.0-0.1.2m)
- enable %%{_datadir}/apps/kmtrace on x86_64

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.3-2m)
- enable ia64.

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdesdk-3.4.2-uic.patch

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- import kdesdk-3.4.2-uic.patch from Fedora Core devel
 +* Wed Sep 21 2005 Than Ngo <than@redhat.com> 2:3.4.2-2
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-5m)
- modify %%files section

* Thu Apr  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-4m)
- revise %%install section to avoid conflicting with kdelibs

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-3m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- kmtrace should not be compiled on x86_64 arch.

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- rebuild against subversion-1.1.3-4m due to svn-config bug.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- add kdesdk-3.4.0-kioslave-svn-Makefile.patch
- remove kdesdk-3.3.2-libdir.patch
- BuildPreReq: db4-devel, subversion-devel

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-3m)
- kmtrace build fix for x86_64.

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.3.1-3m)
  without -fomit-frame-pointer

* Wed Oct 20 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (3.3.1-2m)
- modified %%files

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- not use %%makeinstall

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     kbabel: Splash screen can be clicked and does not cover error messages anymore.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- add --disable-warnings to configure
- remove %%{_prefix}/lib/*.a, %{_prefix}/share/apps/kmtrace, %{_prefix}/share/apps/kmtrace/* from %%files devel
    not compiled with glibc 2.3.x or newer

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to kde-3.1.1
    Cervisia: 
      Fixed line break in protocol view
      Fixed timestamp for files that are not in cvs (#55053)
      Fixed handling of Cervisia's options like 'Update Recursively' when run as embedded part in konqueror (#55665)
 
* Wed Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.0.0-4k)

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr��?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
